module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = require('../../../../ssr-module-cache.js');
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		var threw = true;
/******/ 		try {
/******/ 			modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 			threw = false;
/******/ 		} finally {
/******/ 			if(threw) delete installedModules[moduleId];
/******/ 		}
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 26);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/regenerator");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("next/link");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("axios");

/***/ }),
/* 4 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(0);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: ./components/Header/Header.scss
var Header = __webpack_require__(8);

// EXTERNAL MODULE: external "next/link"
var link_ = __webpack_require__(2);
var link_default = /*#__PURE__*/__webpack_require__.n(link_);

// CONCATENATED MODULE: ./components/Header/Header.js



/* harmony default export */ var Header_Header = (function () {
  return external_react_default.a.createElement("div", {
    className: "header"
  }, external_react_default.a.createElement("div", {
    className: "header__content"
  }, external_react_default.a.createElement("div", {
    className: "header__logo"
  }, external_react_default.a.createElement(link_default.a, {
    href: "/"
  }, external_react_default.a.createElement("a", null, "SCP Foundation Database")))));
});
// EXTERNAL MODULE: ./components/Layout/Layout.scss
var Layout = __webpack_require__(9);

// EXTERNAL MODULE: ./components/Button/Button.scss
var Button = __webpack_require__(6);

// CONCATENATED MODULE: ./components/Layout/Layout.js



/* harmony default export */ var Layout_Layout = (function (_ref) {
  var children = _ref.children;
  return external_react_default.a.createElement("div", {
    className: "layout"
  }, children);
});
// CONCATENATED MODULE: ./components/App/App.js



/* harmony default export */ var App = __webpack_exports__["a"] = (function (_ref) {
  var children = _ref.children;
  return external_react_default.a.createElement("div", null, external_react_default.a.createElement(Header_Header, null), external_react_default.a.createElement(Layout_Layout, null, external_react_default.a.createElement("div", {
    className: "app"
  }, children)));
});

/***/ }),
/* 5 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1);
/* harmony import */ var _babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_1__);


function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }


var API_ENDPOINT = 'https://scpdb.org/api'; // const API_ENDPOINT = 'http://localhost:4444/api';

/* harmony default export */ __webpack_exports__["a"] = ({
  getPagesList: function getPagesList() {
    return axios__WEBPACK_IMPORTED_MODULE_1___default.a.get(API_ENDPOINT + '/private/pages').then(function (r) {
      return r.data;
    });
  },
  getPage: function getPage(id) {
    return axios__WEBPACK_IMPORTED_MODULE_1___default.a.get(API_ENDPOINT + '/private/pages/' + id).then(function (r) {
      return r.data;
    });
  },
  updatePage: function updatePage(id, title, content) {
    return axios__WEBPACK_IMPORTED_MODULE_1___default.a.post(API_ENDPOINT + '/private/pages/' + id, {
      title: title,
      content: content
    });
  },
  createPage: function () {
    var _createPage = _asyncToGenerator(
    /*#__PURE__*/
    _babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0___default.a.mark(function _callee(title, content) {
      var result;
      return _babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0___default.a.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return axios__WEBPACK_IMPORTED_MODULE_1___default.a.post(API_ENDPOINT + '/private/pages', {
                title: title,
                content: content
              });

            case 2:
              result = _context.sent;
              return _context.abrupt("return", result.data.id);

            case 4:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    return function createPage(_x, _x2) {
      return _createPage.apply(this, arguments);
    };
  }(),
  deletePage: function () {
    var _deletePage = _asyncToGenerator(
    /*#__PURE__*/
    _babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0___default.a.mark(function _callee2(id) {
      return _babel_runtime_regenerator__WEBPACK_IMPORTED_MODULE_0___default.a.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              _context2.next = 2;
              return axios__WEBPACK_IMPORTED_MODULE_1___default.a.delete(API_ENDPOINT + '/private/pages/' + id);

            case 2:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    }));

    return function deletePage(_x3) {
      return _deletePage.apply(this, arguments);
    };
  }()
});

/***/ }),
/* 6 */
/***/ (function(module, exports) {



/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("next/head");

/***/ }),
/* 8 */
/***/ (function(module, exports) {



/***/ }),
/* 9 */
/***/ (function(module, exports) {



/***/ }),
/* 10 */,
/* 11 */,
/* 12 */,
/* 13 */
/***/ (function(module, exports) {

module.exports = require("unified");

/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = require("remark-parse");

/***/ }),
/* 15 */
/***/ (function(module, exports) {

module.exports = require("remark-rehype");

/***/ }),
/* 16 */
/***/ (function(module, exports) {

module.exports = require("rehype-stringify");

/***/ }),
/* 17 */
/***/ (function(module, exports) {

module.exports = require("remark-breaks");

/***/ }),
/* 18 */,
/* 19 */,
/* 20 */,
/* 21 */,
/* 22 */,
/* 23 */,
/* 24 */,
/* 25 */,
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(39);


/***/ }),
/* 27 */
/***/ (function(module, exports) {



/***/ }),
/* 28 */,
/* 29 */,
/* 30 */,
/* 31 */,
/* 32 */,
/* 33 */,
/* 34 */,
/* 35 */,
/* 36 */,
/* 37 */,
/* 38 */,
/* 39 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "@babel/runtime/regenerator"
var regenerator_ = __webpack_require__(1);
var regenerator_default = /*#__PURE__*/__webpack_require__.n(regenerator_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(0);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: ./components/App/App.js + 2 modules
var App = __webpack_require__(4);

// EXTERNAL MODULE: external "next/link"
var link_ = __webpack_require__(2);
var link_default = /*#__PURE__*/__webpack_require__.n(link_);

// EXTERNAL MODULE: external "unified"
var external_unified_ = __webpack_require__(13);
var external_unified_default = /*#__PURE__*/__webpack_require__.n(external_unified_);

// EXTERNAL MODULE: external "remark-parse"
var external_remark_parse_ = __webpack_require__(14);
var external_remark_parse_default = /*#__PURE__*/__webpack_require__.n(external_remark_parse_);

// EXTERNAL MODULE: external "remark-rehype"
var external_remark_rehype_ = __webpack_require__(15);
var external_remark_rehype_default = /*#__PURE__*/__webpack_require__.n(external_remark_rehype_);

// EXTERNAL MODULE: external "rehype-stringify"
var external_rehype_stringify_ = __webpack_require__(16);
var external_rehype_stringify_default = /*#__PURE__*/__webpack_require__.n(external_rehype_stringify_);

// EXTERNAL MODULE: external "remark-breaks"
var external_remark_breaks_ = __webpack_require__(17);
var external_remark_breaks_default = /*#__PURE__*/__webpack_require__.n(external_remark_breaks_);

// CONCATENATED MODULE: ./components/renderer.js





var imgRightTag = "\n<div class=\"img img_right\">\n    <img src=\"$1\" alt=\"$2\"/>\n    <div class=\"img__annotation\">$2</div>\n</div>\n".trim();

function postProcess(input) {
  return input.replace(/\[\[img-right ([^"<>]{4,200}?) ([^"<>]{1,200}?)\]\]/g, imgRightTag);
}

function renderer_render(content) {
  return new Promise(function (resolve) {
    external_unified_default()().use(external_remark_parse_default.a).use(external_remark_breaks_default.a).use(external_remark_rehype_default.a).use(external_rehype_stringify_default.a).process(content, function (err, file) {
      if (err) {
        console.error(err);
        resolve('Error rendering content');
      }

      resolve(postProcess(String(file)));
    });
  });
}
// EXTERNAL MODULE: ./components/Page/Page.scss
var Page_Page = __webpack_require__(27);

// CONCATENATED MODULE: ./components/Page/Page.js


function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }






var Page_renderEditLink = function renderEditLink(id) {
  return external_react_default.a.createElement(link_default.a, {
    href: "/pages/".concat(id, "/edit")
  }, external_react_default.a.createElement("a", {
    className: "button button_theme_lite"
  }, "Edit"));
};

var Page_renderListLink = function renderListLink() {
  return external_react_default.a.createElement(link_default.a, {
    href: "/pages"
  }, external_react_default.a.createElement("a", {
    className: "button button_theme_lite"
  }, "Back to the list"));
};

var Page_Page_Page =
/*#__PURE__*/
function (_Component) {
  _inherits(Page, _Component);

  function Page() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Page);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Page)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      renderedContent: 'Loading...'
    });

    return _this;
  }

  _createClass(Page, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      renderer_render(this.props.content).then(function (result) {
        return _this2.setState({
          renderedContent: result
        });
      });
    }
  }, {
    key: "render",
    value: function render() {
      return external_react_default.a.createElement("div", {
        className: "page"
      }, external_react_default.a.createElement("div", {
        className: "page__headline"
      }, external_react_default.a.createElement("h1", null, this.props.title), external_react_default.a.createElement("div", null, Page_renderEditLink(this.props.id), Page_renderListLink())), external_react_default.a.createElement("div", {
        className: "page__content",
        dangerouslySetInnerHTML: {
          __html: this.state.renderedContent
        }
      }));
    }
  }]);

  return Page;
}(external_react_["Component"]);


// EXTERNAL MODULE: ./components/sdk.js
var sdk = __webpack_require__(5);

// EXTERNAL MODULE: external "next/head"
var head_ = __webpack_require__(7);
var head_default = /*#__PURE__*/__webpack_require__.n(head_);

// CONCATENATED MODULE: ./pages/pages/show.js



function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }






var show_Show = function Show(_ref) {
  var id = _ref.id,
      title = _ref.title,
      content = _ref.content;
  return external_react_default.a.createElement(App["a" /* default */], null, external_react_default.a.createElement(head_default.a, null, external_react_default.a.createElement("title", null, title, " | SCPDB")), external_react_default.a.createElement(Page_Page_Page, {
    id: id,
    title: title,
    content: content
  }));
};

show_Show.getInitialProps =
/*#__PURE__*/
function () {
  var _ref3 = _asyncToGenerator(
  /*#__PURE__*/
  regenerator_default.a.mark(function _callee(_ref2) {
    var id;
    return regenerator_default.a.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            id = _ref2.query.id;
            _context.next = 3;
            return sdk["a" /* default */].getPage(id);

          case 3:
            return _context.abrupt("return", _context.sent);

          case 4:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function (_x) {
    return _ref3.apply(this, arguments);
  };
}();

/* harmony default export */ var show = __webpack_exports__["default"] = (show_Show);

/***/ })
/******/ ]);